/** @file iop_include.h Includes all io device headers */


#ifndef FAUDES_IOP_INCLUDE_H
#define FAUDES_IOP_INCLUDE_H

#include "iop_xdevice.h"
#include "iop_vdevice.h"
#include "iop_sdevice.h"
#include "iop_simplenet.h"

#endif



/**
 
@defgroup IODevicePlugin IO Device PlugIn


@ingroup AllPlugins


<p>
This plugin maps logical faudes events to physical events. The latter are to be executed 
on and sensed by specific hard- or software. Currently, the following device classes
are provided:
</p>

- faudes::vDevice virtual base for all device classe (defines interface to libfaudes)
- faudes::sDevice virtual base for signal devices (edge detection, actuator commands)
- faudes::cDevice digital io via the comedi framework (see www.comedi.org)
- faudes::nDevice very simple networked io via writing and reading symbolic names to/from tcp ports

<p>
Note: this plugin is in an early stage of development, some design issues are not
resolved yet. 
</p>

<p>
Note: In contrast to the libFAUDES core, this plugin is not meant to be platform independant.
It has been developed for linux and thus freely uses posix threads, bsd sockets and the
comedi framework. This being said, the simple networked device uses the WINEXTRA 
compiletime switch to do some elementary adjustments for windows targets and
will compile in the presence of win32-pthread libraray. A future version may resort to
an abstract interface to threads and sockets provided by some professional multi-platform
solution.
</p>

@section License

<p>
This plug-in is distributed with libFAUDES and under the terms of the LGPL.
<br>
<br>
<br>
Copyright (c) 2008, Thomas Moor.
</p>

*/

