/** 

@file syn_interface.i 

SWIG interface for synthesis plugin. The synthesis plugin 
defines functions only, hence, actual bindings will be generated
from rti data base.

See the luabindings README for more documentation. 

**/


/*
**************************************************
**************************************************
**************************************************

Synthesis interface preface

**************************************************
**************************************************
**************************************************
*/

// Set SWIG module name
// Note: must match libFAUDES plugin name
%module synthesis

// Indicate plugin to rti function definitions
#ifndef SwigModule
#define SwigModule "SwigSynthesis"
#endif

// Load std faudes interface
%include "faudesmodule.i"

// Extra Lua functions: copy to faudes name space
%luacode {
-- Copy hiosys to faudes name space
for k,v in pairs(synthesis) do faudes[k]=v end
}



/*
**************************************************
**************************************************
**************************************************

Synthesis interface: mini help system

**************************************************
**************************************************
**************************************************
*/

// Add entry to mini help system: introduce new topic "synthesis"
SwigHelpTopic("Synthesis","Synthesis PlugIn");

// Include rti generated function interface
#if SwigModule=="SwigSynthesis"
%include "../../../include/rtiautoload.i"
#endif
